DrawArc
Keywords: uk.ac.ic.doc.automed.editor.DrawArc,DrawArc class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DrawArc

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.editor.DrawArc

All Implemented Interfaces:
  Drawable, DrawableArc

Direct Known Subclasses:
  DefaultDrawConstraintArc, DefaultDrawLinkArc, DefaultDrawLinkNodalArc, YattaDrawLinkNodalLink, YattaDrawSequence

public class DrawArc
extends java.lang.Object
implements DrawableArc

Field Summary
`protected Positionable[]` | `d`
`protected EditorPanel` | `ep`
`protected static java.awt.FontMetrics` | `fm`
`protected Positionable` | `p`
`protected static java.awt.Stroke` | `standardStroke`
`protected static int` | `thickness`

Constructor Summary
`DrawArc(EditorPanel ep, Positionable[] d)` Pass in the array of objects that this connects together.
`DrawArc(EditorPanel ep, Positionable p, Positionable[] d)` Pass in the array of objects that this connects together.

Method Summary
`void` | `paint(java.awt.Graphics2D g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fm

    protected static java.awt.FontMetrics fm

### thickness

    protected static final int thickness

See Also:
  Constant Field Values

### standardStroke

    protected static final java.awt.Stroke standardStroke

### p

    protected Positionable p

### d

    protected Positionable[] d

### ep

    protected EditorPanel ep

Constructor Detail

### DrawArc

    public DrawArc(EditorPanel ep,
                   Positionable p,
                   Positionable[] d)

  Pass in the array of objects that this connects together.

### DrawArc

    public DrawArc(EditorPanel ep,
                   Positionable[] d)

  Pass in the array of objects that this connects together.

Method Detail

### paint

    public void paint(java.awt.Graphics2D g)

  Specified by:
    `paint` in interface `Drawable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD